Page 2 of 4

Re: Galaxy S4 not supported by my apps!

Posted: Thu May 09, 2013 6:09 pm
by admin
If you currently run my app on an S4 it disables the built-in PBAP, but doesn't start my implementation, which leaves you without any PBAP. The VW tries to use IrMC if it cannot find PBAP, that's why it finally worked you. I hope it's only a small change to make my app fully work on the S4.

You are not the first who wishes contact filtering :)
I'll add the option to choose contact groups which should be transferred.

Re: Galaxy S4 not supported by my apps!

Posted: Mon May 13, 2013 6:15 pm
by Bamogoal
hello
I am a French user, recent recipient of a golf Bluetooth PRENIUM II. I just bought a samsung galaxy s4, and I can not connect my phone with the car. It is not even recognized. However, the s4 is Root, rsap any problems.
Can you help me?
cordially

Re: Galaxy S4 not supported by my apps!

Posted: Tue May 14, 2013 4:37 pm
by admin
The phone should be recognized. Perhaps you forgot to set the phone "Bluetooth visible"?

Re: Galaxy S4 not supported by my apps!

Posted: Tue May 14, 2013 7:12 pm
by Bamogoal
perhaps.
how i can do this ?

Re: Galaxy S4 not supported by my apps!

Posted: Tue May 14, 2013 10:30 pm
by admin
Go to settings/Bluetooth and tab below "my device".

EDIT: added a picture
s4-bluetooth.png
s4-bluetooth.png (12 KiB) Viewed 3612 times

Re: Galaxy S4 not supported by may apps!

Posted: Thu May 16, 2013 7:56 pm
by Papirespapi
admin wrote:
Papirespapi wrote:Hi. I have just bought a GT-I9500 yesterday
Is it an I9500 or an I9505? I thought the I9500 is not yet available?
Yes the I9500 is available and using it. The ROM is I9500XXUAMDE / Kernel 3.4.5-447845 / Build JDQ39

Re: Galaxy S4 not supported by my rSAP app!

Posted: Tue May 28, 2013 11:46 pm
by sdemeillers
Hi. S4 doesn't work with Audi Allroad new model... RSAP doesn't work neither. It worked perfectly with mySamsung Galaxy S3. Version: I19505.... Can someone Help?

Re: Galaxy S4 not supported by my rSAP app!

Posted: Wed Jun 26, 2013 12:22 pm
by vwdewaal
sdemeillers wrote:Hi. S4 doesn't work with Audi Allroad new model... RSAP doesn't work neither. It worked perfectly with mySamsung Galaxy S3. Version: I19505.... Can someone Help?
Hi sdemeillers.

So it looks like its a problem with all Audi's. I have the A5.
The problem I have with the Galaxy s4 at the moment.
1. I pair it. Connect as carphone. It stays connected for a couple of seconds, then disconnects and the car goes into "Searching mode again".

Then I did the following.
1. Factory reset on phone.
2. Did NOT pair it with my google account (which would bring contacts and apps).
3. Paired it with the car. Selected carphone.
4. It worked happily for a full day, until I paired it with the google account.

So like siteadmin says: It's a problem with how the contacts are handled.

I have tried after pairing NOT to have the car read contacts from the phone, but that doesn't work. So there must be something else as well.

I cant even take the sim out of my phone and put it in the dashboard as the sim is now smaller. Frustrating.

Maybe we should start a kickstarter campaign to get the siteadmin a S4 to play with. I really hope he gets it working for the S4.

Re: Galaxy S4 not supported by my rSAP app!

Posted: Wed Jun 26, 2013 12:58 pm
by admin
I have a Samsung S4, but no Audi. I'd appreciate if someone buys me one (Audi S4) :lol:

So you did not allow phonebook access and the connection still aborts? Did you already try to upgrade the S4 to MDD or a later firmware version? See viewtopic.php?f=60&t=865

Re: Galaxy S4 not supported by my rSAP app!

Posted: Wed Jun 26, 2013 6:50 pm
by vwdewaal
Look, if I'd won the euromillions last night. I would gladly have shipped you a S4 if you could solve this problem!

No, I've not tried flashing a different firmware yet. I''ve done it before with my Galaxy Note, but that was the international version. My S4 is network locked to T-Mobile (EE), so I'm slightly worried about bricking it. But suppose I will give it a go.

So I'll be going from
I9505XXUAMDD
to
I9505XXUAMDM

Just need to make sure I get an english and not an Italian version!